Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.model
Class MDMetadata

    java.lang.Object
      org.deegree.portal.cataloguemanager.model.MDMetadata

    public class MDMetadata

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.isotc211.org/2005/gmd}fileIdentifier"/>
             <element ref="{http://www.isotc211.org/2005/gmd}language"/>
             <element ref="{http://www.isotc211.org/2005/gmd}characterSet"/>
             <element ref="{http://www.isotc211.org/2005/gmd}hierarchyLevel"/>
             <element ref="{http://www.isotc211.org/2005/gmd}hierarchyLevelName"/>
             <element ref="{http://www.isotc211.org/2005/gmd}contact"/>
             <element ref="{http://www.isotc211.org/2005/gmd}dateStamp"/>
             <element ref="{http://www.isotc211.org/2005/gmd}metadataStandardName"/>
             <element ref="{http://www.isotc211.org/2005/gmd}metadataStandardVersion"/>
             <element ref="{http://www.isotc211.org/2005/gmd}referenceSystemInfo"/>
             <element ref="{http://www.isotc211.org/2005/gmd}identificationInfo"/>
             <element ref="{http://www.isotc211.org/2005/gmd}distributionInfo"/>
             <element ref="{http://www.isotc211.org/2005/gmd}dataQualityInfo"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected CharacterSet` | `characterSet`
`protected Contact` | `contact`
`protected DataQualityInfo` | `dataQualityInfo`
`protected DateStamp` | `dateStamp`
`protected DistributionInfo` | `distributionInfo`
`protected FileIdentifier` | `fileIdentifier`
`protected HierarchyLevel` | `hierarchyLevel`
`protected HierarchyLevelName` | `hierarchyLevelName`
`protected IdentificationInfo` | `identificationInfo`
`protected Language` | `language`
`protected MetadataStandardName` | `metadataStandardName`
`protected MetadataStandardVersion` | `metadataStandardVersion`
`protected ReferenceSystemInfo` | `referenceSystemInfo`

Constructor Summary
`MDMetadata()`

Method Summary
`CharacterSet` | `getCharacterSet()` Gets the value of the characterSet property.
`Contact` | `getContact()` Gets the value of the contact property.
`DataQualityInfo` | `getDataQualityInfo()` Gets the value of the dataQualityInfo property.
`DateStamp` | `getDateStamp()` Gets the value of the dateStamp property.
`DistributionInfo` | `getDistributionInfo()` Gets the value of the distributionInfo property.
`FileIdentifier` | `getFileIdentifier()` Gets the value of the fileIdentifier property.
`HierarchyLevel` | `getHierarchyLevel()` Gets the value of the hierarchyLevel property.
`HierarchyLevelName` | `getHierarchyLevelName()` Gets the value of the hierarchyLevelName property.
`IdentificationInfo` | `getIdentificationInfo()` Gets the value of the identificationInfo property.
`Language` | `getLanguage()` Gets the value of the language property.
`MetadataStandardName` | `getMetadataStandardName()` Gets the value of the metadataStandardName property.
`MetadataStandardVersion` | `getMetadataStandardVersion()` Gets the value of the metadataStandardVersion property.
`ReferenceSystemInfo` | `getReferenceSystemInfo()` Gets the value of the referenceSystemInfo property.
`void` | `setCharacterSet(CharacterSet value)` Sets the value of the characterSet property.
`void` | `setContact(Contact value)` Sets the value of the contact property.
`void` | `setDataQualityInfo(DataQualityInfo value)` Sets the value of the dataQualityInfo property.
`void` | `setDateStamp(DateStamp value)` Sets the value of the dateStamp property.
`void` | `setDistributionInfo(DistributionInfo value)` Sets the value of the distributionInfo property.
`void` | `setFileIdentifier(FileIdentifier value)` Sets the value of the fileIdentifier property.
`void` | `setHierarchyLevel(HierarchyLevel value)` Sets the value of the hierarchyLevel property.
`void` | `setHierarchyLevelName(HierarchyLevelName value)` Sets the value of the hierarchyLevelName property.
`void` | `setIdentificationInfo(IdentificationInfo value)` Sets the value of the identificationInfo property.
`void` | `setLanguage(Language value)` Sets the value of the language property.
`void` | `setMetadataStandardName(MetadataStandardName value)` Sets the value of the metadataStandardName property.
`void` | `setMetadataStandardVersion(MetadataStandardVersion value)` Sets the value of the metadataStandardVersion property.
`void` | `setReferenceSystemInfo(ReferenceSystemInfo value)` Sets the value of the referenceSystemInfo property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fileIdentifier

    protected FileIdentifier fileIdentifier

### language

    protected Language language

### characterSet

    protected CharacterSet characterSet

### hierarchyLevel

    protected HierarchyLevel hierarchyLevel

### hierarchyLevelName

    protected HierarchyLevelName hierarchyLevelName

### contact

    protected Contact contact

### dateStamp

    protected DateStamp dateStamp

### metadataStandardName

    protected MetadataStandardName metadataStandardName

### metadataStandardVersion

    protected MetadataStandardVersion metadataStandardVersion

### referenceSystemInfo

    protected ReferenceSystemInfo referenceSystemInfo

### identificationInfo

    protected IdentificationInfo identificationInfo

### distributionInfo

    protected DistributionInfo distributionInfo

### dataQualityInfo

    protected DataQualityInfo dataQualityInfo

Constructor Detail

### MDMetadata

    public MDMetadata()

Method Detail

### getFileIdentifier

    public FileIdentifier getFileIdentifier()

  Gets the value of the fileIdentifier property.

  Returns:
    possible object is `FileIdentifier`

### setFileIdentifier

    public void setFileIdentifier(FileIdentifier value)

  Sets the value of the fileIdentifier property.

  Parameters:
    `value` - allowed object is `FileIdentifier`

### getLanguage

    public Language getLanguage()

  Gets the value of the language property.

  Returns:
    possible object is `Language`

### setLanguage

    public void setLanguage(Language value)

  Sets the value of the language property.

  Parameters:
    `value` - allowed object is `Language`

### getCharacterSet

    public CharacterSet getCharacterSet()

  Gets the value of the characterSet property.

  Returns:
    possible object is `CharacterSet`

### setCharacterSet

    public void setCharacterSet(CharacterSet value)

  Sets the value of the characterSet property.

  Parameters:
    `value` - allowed object is `CharacterSet`

### getHierarchyLevel

    public HierarchyLevel getHierarchyLevel()

  Gets the value of the hierarchyLevel property.

  Returns:
    possible object is `HierarchyLevel`

### setHierarchyLevel

    public void setHierarchyLevel(HierarchyLevel value)

  Sets the value of the hierarchyLevel property.

  Parameters:
    `value` - allowed object is `HierarchyLevel`

### getHierarchyLevelName

    public HierarchyLevelName getHierarchyLevelName()

  Gets the value of the hierarchyLevelName property.

  Returns:
    possible object is `HierarchyLevelName`

### setHierarchyLevelName

    public void setHierarchyLevelName(HierarchyLevelName value)

  Sets the value of the hierarchyLevelName property.

  Parameters:
    `value` - allowed object is `HierarchyLevelName`

### getContact

    public Contact getContact()

  Gets the value of the contact property.

  Returns:
    possible object is `Contact`

### setContact

    public void setContact(Contact value)

  Sets the value of the contact property.

  Parameters:
    `value` - allowed object is `Contact`

### getDateStamp

    public DateStamp getDateStamp()

  Gets the value of the dateStamp property.

  Returns:
    possible object is `DateStamp`

### setDateStamp

    public void setDateStamp(DateStamp value)

  Sets the value of the dateStamp property.

  Parameters:
    `value` - allowed object is `DateStamp`

### getMetadataStandardName

    public MetadataStandardName getMetadataStandardName()

  Gets the value of the metadataStandardName property.

  Returns:
    possible object is `MetadataStandardName`

### setMetadataStandardName

    public void setMetadataStandardName(MetadataStandardName value)

  Sets the value of the metadataStandardName property.

  Parameters:
    `value` - allowed object is `MetadataStandardName`

### getMetadataStandardVersion

    public MetadataStandardVersion getMetadataStandardVersion()

  Gets the value of the metadataStandardVersion property.

  Returns:
    possible object is `MetadataStandardVersion`

### setMetadataStandardVersion

    public void setMetadataStandardVersion(MetadataStandardVersion value)

  Sets the value of the metadataStandardVersion property.

  Parameters:
    `value` - allowed object is `MetadataStandardVersion`

### getReferenceSystemInfo

    public ReferenceSystemInfo getReferenceSystemInfo()

  Gets the value of the referenceSystemInfo property.

  Returns:
    possible object is `ReferenceSystemInfo`

### setReferenceSystemInfo

    public void setReferenceSystemInfo(ReferenceSystemInfo value)

  Sets the value of the referenceSystemInfo property.

  Parameters:
    `value` - allowed object is `ReferenceSystemInfo`

### getIdentificationInfo

    public IdentificationInfo getIdentificationInfo()

  Gets the value of the identificationInfo property.

  Returns:
    possible object is `IdentificationInfo`

### setIdentificationInfo

    public void setIdentificationInfo(IdentificationInfo value)

  Sets the value of the identificationInfo property.

  Parameters:
    `value` - allowed object is `IdentificationInfo`

### getDistributionInfo

    public DistributionInfo getDistributionInfo()

  Gets the value of the distributionInfo property.

  Returns:
    possible object is `DistributionInfo`

### setDistributionInfo

    public void setDistributionInfo(DistributionInfo value)

  Sets the value of the distributionInfo property.

  Parameters:
    `value` - allowed object is `DistributionInfo`

### getDataQualityInfo

    public DataQualityInfo getDataQualityInfo()

  Gets the value of the dataQualityInfo property.

  Returns:
    possible object is `DataQualityInfo`

### setDataQualityInfo

    public void setDataQualityInfo(DataQualityInfo value)

  Sets the value of the dataQualityInfo property.

  Parameters:
    `value` - allowed object is `DataQualityInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org